#!/bin/bash
# {{ ansible_managed }}

until [ $(curl \
  --user-agent "Web Check {{ content_server }}" \
  --silent \
  --location \
  --connect-timeout 3 \
  --write-out "%{http_code}\n" \
  --output /dev/null \
  http://localhost:{{ content_server_port_prefix }}80/ior) == "200" ]
do
  i=$(expr $i + 1)
  if [ $i -ge 60 ]; then
    echo "{{ content_server }} not ready, giving up"
    exit 1
  fi
  echo "Waiting for "{{ content_server }}" to be ready"
  sleep 10s
done

echo "{{ content_server }} - OK"
